<?php
require_once("def/def_conf.inc.php");
require_once("page/page.inc.php");
require_once("login/login.inc.php");

class ErrorPage extends Page {
    var $message;
    
    function ErrorPage($message) {
        $this->message = $message;
    }
    
    function echo_head() {
        Page::echo_head(array("title" => "エラー",
                         "style_sheet" =>"css/error.css"));
    }
    function echo_body() {
        print($this->message);
        print("<p>「もどる」ボタンをおして下さい。</p>\n");
        $mob = empty($_SESSION['mob']) ? null: $_SESSION['mob'];
        if ($mob == 1) {
            print "<a href=\"".TOP_PAGE."?cmd=mob_top\">携帯トップ</a>\n";
        } else {
            print("<p><a href=\"".TOP_PAGE."\">トップページ</a>&nbsp;\n");
            if (login_is_valid_user()) {
                print "<a href=\"".TOP_PAGE."?cmd=user\">自分のページ</a>\n";
            }
        }
        print "</p>\n";
    }
}

function error_default($mes) {
    $page = new ErrorPage($mes);
    $page->show();
    exit;
}

function error_show_db($error) {
    error_default("<p>データベースのアクセスでエラーが発生しました。</p>\n".
                  "<p>".$error->getMessage()."</p>\n");
}

function error_show_login() {
    error_default("<p>ユーザ名かパスワードが違います。</p>\n");
}

function error_show_illegal_username() {
    error_default("<p>ユーザ名に不正な文字が含まれています。</p>\n");
}

function error_show_illegal_password() {
    error_default("<p>パスワードに不正な文字が含まれています。</p>\n");
}

function error_show_empty_username() {
    error_default("<p>ユーザ名を入力して下さい。</p>\n");
}

function error_show_empty_password() {
    error_default("<p>パスワードを入力して下さい。</p>\n");
}

function error_show_not_unique_username() {
    error_default("<p>そのユーザ名は、すでに使われています。</p>\n");
}

function error_show_not_match_password() {
    error_default("<p>パスワードが一致していません。</p>\n");
}

function error_show_year() {
    error_default("<p>年が不正です。</p>\n");
}
function error_show_month() {
    error_default("<p>月が不正です。</p>\n");
}
function error_show_day() {
    error_default("<p>日が不正です。</p>\n");
}
function error_show_hour() {
    error_default("<p>時間が不正です。</p>\n");
}
function error_show_weight() {
    error_default("<p>体重が不正です。</p>\n");
}
function error_show_future() {
    error_default("<p>日付が未来です。</p>\n");
}

function error_show_not_public() {
    error_default("<p>公開されてません。<p>\n");
}

function error_show_empty_pub_name() {
    error_default("<p>公開する時は、公開用の名前が必要です。</p>\n");
}

function error_show_no_friend_id() {
    error_default("<p>その秘密IDを持つユーザはいません。</p>\n");
}

function error_show_fid_is_changed() {
    error_default("<p>その秘密IDは変更されました。</p>\n");
}

function error_show_empty_name_for_friend() {
    error_default("<p>仲間内での名前が空です。</p>\n");
}

function error_show_width() {
    error_default("<p>画像の横幅が不正です。</p>\n");
}

function error_show_height() {
    error_default("<p>画像の縦幅が不正です。</p>\n");
}

function error_show_mob_width() {
    error_default("<p>携帯用の画像の横幅が不正です。</p>\n");
}

function error_show_mob_height() {
    error_default("<p>携帯用の画像の縦幅が不正です。</p>\n");
}

function error_show_delete_user() {
    error_default("<p>ユーザは削除されました。</p>\n");
}

function error_show_not_friend($friend_name) {
    error_default("<p>".$friend_name."さん側で,あなたがお仲間として登録されていません</p>");
}
?>
