<?php
require_once("db/DietDB.class.php");
require_once("util/util.inc.php");

class DBMessages {
    protected $dbh;

    function __construct($dbh = null) {
        if ($dbh == null) {
            $this->dbh = DietDB::getHandler();
        } else {
            $this->dbh = $dbh;
        }
    }


    function getMessages($users_id) {
        $users_id = util_get_safe($users_id);
        $stmt = $this->dbh->prepare("select id, name, message, ins_date ".
                                    "from messages ".
                                    "where users_id = ? order by id;");
        $stmt->execute(array($users_id));
        $messages = $stmt->fetchAll(PDO::FETCH_ASSOC);
        if ($messages) {
            return $messages;
        } else {
            return array();
        }
    }

    function add($users_id) {
        $remote_ip = $_SERVER['REMOTE_ADDR'];
        $name = trim($_REQUEST['mess_name']);
        $message = rtrim($_REQUEST['message']);

        $this->dbh->beginTransaction();
        /*
        if (!db_is_mysql()) {
            $con->query("lock users;");
        } else {
            //        $con->query("lock tables users read;");
        }
        */
        //    sleep(100);
        $id = DBUsers::getNextMessId($this->dbh, $users_id);
        $stmt = $this->dbh->prepare("insert into messages".
                             "  (id, users_id, remote_ip, name, message) ".
                             "values(?, ?, ?, ?, ?);");
        $stmt->execute(array($id, $users_id, $remote_ip, $name, $message));
        $this->dbh->commit();
    }

    function delete($users_id) {
        $users_id = util_get_safe($users_id);
        $mess_id = util_get_safe($_REQUEST['mess_id']);

        $this->dbh->beginTransaction();
        $stmt = $this->dbh->prepare("select * from messages ".
                                    "where id = $mess_id and ".
                                    "  users_id = ?;");
        $stmt->execute(array($users_id));
        while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            $name = $row['name'];
            $remote_ip = $row['remote_ip'];
            $message = $row['message'];
            $cre_date = $row['ins_date'];
            /*
            if (!db_is_mysql()) {
                $cre_date = $row['ins_date'];
            } else {
                $cre_date = util_mysqlts2pgts($row['ins_date']);
            }
            */

            $stmt = $this->dbh->prepare("insert into del_mess".
                                 "  (id, users_id, remote_ip, name, ".
                                 "  message, cre_date) ". 
                                 "values(?, ?, ?, ?, ?, ?);");
            $stmt->execute(array($mess_id, $users_id, $remote_ip, $name,
                                 $message, $cre_date));
        }
        $stmt = $this->dbh->prepare("delete from messages ".
                                    "where users_id = ? and id = ?;");
        $stmt->execute(array($users_id, $mess_id));
        $this->dbh->commit();
    }

    function getCommentCount($users_id) {
        $users_id = util_get_safe($users_id);

        $stmt = $this->dbh->prepare("select count(*) from messages ".
                                   "where users_id = ?;");
        $stmt->execute(array($users_id));
        return $stmt->fetchColumn();
    }
}
?>
