<?php
class Page {
    protected $need_auth;
    protected $is_mob_auth = false;
    protected $args = null;
    
    function prepare($args = null) {
    }

    function echo_head($options = null) {
        $title = $options['title'];
        if (!isset($title)) {
            $title = "体重グラフ ダイエットのおとも";
        }
        $style_sheet = $options['style_sheet'];
        $refresh = empty($options['refresh']) ? null : $options['refresh'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
<meta name="verify-v1" content="TcqX7iCXsncYI+duakVubjgQXv/SYvoRmYQ8/31Lo/w=">
<?php if (!empty($refresh)) { ?>
  <meta http-equiv="refresh" content="<?= $refresh ?>">
<?php } ?>
<?php if(isset($style_sheet)) { ?>
  <link rel="stylesheet" type="text/css" href="<?= $style_sheet ?>">
<?php } ?>
<link rel="shortcut icon" href="favicon.ico">
<title><?= $title?></title>
</head>
<body onload="document.login.user.focus();">
     <?php
    }

    function echo_body($args = null) {
    }

    function echo_tail() {
        print "</body>\n";
        print "</html>\n";
    }

    function append() {
    }

    function show() {
        //print_r($this->need_auth);
        if ($this->need_auth) {
            if (!login_is_valid_user()) {
                $page = new LoginTimeoutPage($this->is_mob_auth);
                $page->show();
                exit;
            }
        }
        $this->prepare($this->args);
        $this->echo_head();
        $this->echo_body($this->args);
        $this->echo_tail();
        $this->append();
    }
}

class MobPage extends Page {
    var $is_mob_auth = true;
    var $title;

    function MobPage($title) {
        $this->title = $title;
    }
    
    function echo_head() {
?>
<html>
<head>
     <title><?= $this->title ?></title>
</head>
<body>
<?php
    }
}
?>
