<?php
require_once("db/DietDB.class.php");

class DBPubFriend {
    protected $dbh;

    function __construct($dbh = null) {
        if ($dbh == null) {
            $this->dbh = DietDB::getHandler();
        } else {
            $this->dbh = $dbh;
        }
    }

    function get() {
        $users_id = $_SESSION['user_id'];
        $friends = array();
        $stmt = $this->dbh->prepare("select friend.friend_id as friend_id, ".
                                    "  users.name_for_friend as friend_name ".
                                    "from users, friend ".
                                    "where friend.users_id = ? and ".
                                    "  users.id_for_friend = friend.friend_id;");
        $stmt->execute(array($users_id));
        while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            $friends[$row['friend_id']] = $row['friend_name'];
        }
        return $friends;
    }

    function add($friend_id) {
        $users_id = $_SESSION['user_id'];
        $stmt = $this->dbh->prepare("insert into friend(users_id, friend_id) ".
                                    "values(?, ?);");
        $stmt->execute(array($users_id, $friend_id));
    }

    function delete($friend_id) {
        $users_id = $_SESSION['user_id'];
        $stmt = $this->dbh->prepare("delete from friend ".
                                    "where users_id = ? and friend_id = ?;");
        $stmt->execute(array($users_id, $friend_id));
    }

    function isFriend($friend_id) {
        $is_friend = false;
        $my_users_id = $_SESSION['user_id'];

        $stmt = $this->dbh->prepare("select users.id as your_users_id ".
                                    "from users ".
                                    "where users.id_for_friend = ?;");
        $stmt->execute(array($friend_id));
        $your_users_id = $stmt->fetchColumn();
        if ($your_users_id) {
            $stmt = $this->dbh->prepare("select friend.friend_id ".
                                        "from friend, users ".
                                        "where friend.users_id = ? and ".
                                        "  friend.friend_id = users.id_for_friend and ".
                                        "  users.id = ?;");
            $stmt->execute(array($your_users_id, $my_users_id));
            $flag = $stmt->fetchColumn();
            if ($flag) {
                $is_friend = true;
            }
        }
        return $is_friend;
    }
}
?>