<?php
require_once("page/page.inc.php");
require_once("user/UserStatus.class.php");
require_once("pub/DBPubFriend.class.php");
require_once("weight/weight.inc.php");
require_once("mess/mess.inc.php");
require_once("mess/DBMessages.class.php");
require_once("ope/DBOperation.class.php");
require_once("util/_H.inc.php");

class PubFriendPage extends Page {
    protected $need_auth = true;

    function prepare(&$args) {
        $dbh = DietDB::getHandler();
        $us = new UserStatus($dbh);
        $user = $us->user;
        $user->load();
        $dbPF = new DBPubFriend($dbh);
        $dbMess = new DBMessages($dbh);
        $dbOpe = new DBOperation($dbh);
        if (!$dbPF->isFriend($_REQUEST['fid'])) {
            error_show_not_friend($user->name_for_friend);
        }
        $mode = empty($_REQUEST['mode']) ? null: $_REQUEST['mode'];
        if ($mode == "post_mess") {
            $dbMess->add($us->users_id);
            setcookie("c_mess_name", $_REQUEST['mess_name']);
            $dbOpe->add(OPE_MESS_INPUT);
        }
        if ($mode == "del_mess") {
            $dbMess->delete($us->users_id);
        }

        $args['fid'] = $us->fid;
        $args['title'] = $user->name_for_friend."さんのページ";

        $args['short_comment'] = util_wordwrap($user->short_comment, 20);

        $long_comment = util_wordwrap($user->long_comment, 35);
        $args['long_comment'] = rtrim($long_comment);
    }        

    function echo_head() {
        Page::echo_head(array("title" => $this->args['title'],
                             "style_sheet" =>"css/friend.css"));
    }

    function echo_body(&$args) {
?>
<h1><?= _H($args['title']) ?></h1>
<div id="first">
<p>
  <a href="<?= TOP_PAGE ?>">トップページ</a>
</p>
<p>
  <a href="<?= TOP_PAGE ?>?cmd=friend_past&amp;fid=<?= _H($args['fid']) ?>">過去データ</a>
</p>

    <?php part_echo_first(); ?>
</div> <!-- first -->

<div id="second">
  <h2><?= util_nl2br(_H($args['short_comment'])) ?></h2>
  <p><?= util_nl2br(_H($args['long_comment'])) ?></p>
  <?php weight_echo_graph(); ?>
  <?php weight_echo_comment(); ?>
</div> <!-- second -->

<div id="third">
      <?php mess_echo_mess(); ?>
<p>
  <a href="<?= TOP_PAGE ?>">トップページ</a>
</p>
</div> <!-- third -->
<?php 
    }
}

class PubFriendPastPage extends Page {
    protected $need_auth = true;

    function prepare(&$args) {
        $dbh = DietDB::getHandler();
        $us = new UserStatus($dbh);
        $dbPF = new DBPubFriend($dbh);
        $dbDef = new DBDefense($dbh);
        if (!$dbPF->isFriend($_REQUEST['fid'])) {
            $dbDef->add(__FILE__.":".__LINE__);
            exit;
       }
       $args['friend_name'] = $us->user->name_for_friend;
       $args['fid'] = $us->fid;
    }

    function echo_head() {
        Page::echo_head(array("title" => $this->args['friend_name']."さんの過去データ",
                         "style_sheet" =>"css/pub_past.css"));
    }

    function echo_body(&$args) {
?>
<h1><?= _H($args['friend_name']) ?>さんの過去データ</h1>
<div id="first">
<p>
  <a href="<?= TOP_PAGE ?>">トップページ</a>
</p>
<p>
  <a href="<?= TOP_PAGE ?>?cmd=friend&amp;fid=<?= _H($args['fid']) ?>"><?= _H($args['friend_name']) ?></a>
</p>
<?php part_echo_first(); ?>
</div> <!-- first -->

<div id="second">
<?php
    weight_echo_past();
    if (!empty($_REQUEST['start'])) {
        weight_echo_comment();
    }
?>
</div> <!-- second -->
<?php
   } //echo_body()
}
?>