<?php
require_once("def/def_conf.inc.php");
require_once("def/def_ope.inc.php");
require_once("part/part.inc.php");
require_once("page/page.inc.php");
require_once("user/user.inc.php");
require_once("user/User.class.php");
require_once("user/UserStatus.class.php");
require_once("mess/mess.inc.php");
require_once("weight/weight.inc.php");
require_once("ope/DBOperation.class.php");
require_once("util/util.inc.php");
require_once("util/_H.inc.php");
require_once("error/error.inc.php");

class PubPage extends Page {
    function prepare(&$args) {
        $dbh = DietDB::getHandler();
        if (empty($_REQUEST['puid'])) {
            exit;
        }
        $us = new UserStatus($dbh);
        $user = $us->user;
        $dbMess = new DBMessages($dbh);
        $mode = empty($_REQUEST['mode']) ? null : $_REQUEST['mode'];
        if ($mode == "post_mess") {
            $dbMess->add($us->puid);
            setcookie("c_mess_name", $_REQUEST['mess_name']);
            $dbOpe = new DBOperation();
            $dbOpe->add(OPE_MESS_INPUT);
        }
        if ($mode == "del_mess") {
            $dbMess->delete($us->puid);
        }

        $args['puid'] = $us->puid;
        $args['pub_name'] = $user->pub_name;

        $args['short_comment'] = util_wordwrap($user->short_comment, 20);

        $long_comment = util_wordwrap($user->long_comment, 35);
        $args['long_comment'] = rtrim($long_comment);
    }

    function echo_head() {
        Page::echo_head(array("title" => $this->args['pub_name']."さんの体重グラフ",
                         "style_sheet" =>"css/pub_user.css"));
    }

    function echo_body(&$args) {
?>
<h1><?= _H($args['pub_name']) ?>さんの体重</h1>
<div id="first">
<p>
  <a href="<?= TOP_PAGE ?>">トップページ</a>
</p>
<p>
  <a href="<?= TOP_PAGE ?>?cmd=pub_past&amp;puid=<?= _H($args['puid']) ?>">過去データ</a>
</p>
  <?php part_echo_first(); ?>
  <?php part_echo_entry(); ?>
</div> <!-- first -->

<div id="second">
  <h2><?= util_nl2br(_H($args['short_comment'])) ?></h2>
  <p><?= util_nl2br(_H($args['long_comment'])) ?></p>
  <?php weight_echo_graph(); ?>
  <?php weight_echo_comment(); ?>
</div> <!-- second -->

<div id="third">
  <?php mess_echo_mess(); ?>
  <p>
    <a href="<?= TOP_PAGE ?>">トップページ</a>
  </p>
</div> <!-- third -->
<?
     } //echo_body();
}

class PubPastPage extends Page {
    function prepare(&$args) {
        $us = new UserStatus();
        $args['puid'] = $us->puid;
        $args['pub_name'] = $us->user->pub_name;
    }

    function echo_head() {
        Page::echo_head(array("title" => $this->args['pub_name']."さんの過去データ",
                         "style_sheet" =>"css/pub_past.css"));
    }

    function echo_body(&$args) {
?>
<h1><?= _H($args['pub_name']) ?>さんの過去データ</h1>
<div id="first">
<p>
  <a href="<?= TOP_PAGE ?>">トップページ</a>
</p>
<p>
  <a href="<?= TOP_PAGE ?>?cmd=pub&amp;puid=<?= _H($args['puid']) ?>"><?= _H($args['pub_name']) ?></a>
</p>
<?php part_echo_first(); ?>
<?php part_echo_entry(); ?>
</div> <!-- first -->

<div id="second">
<?php
    weight_echo_past();
    if (!empty($_REQUEST['start'])) {
        weight_echo_comment();
    }
?>
</div> <!-- second -->
<?php
   } //echo_body()
}

?>
