<?php
require_once("part/part.inc.php");
require_once("page/page.inc.php");
require_once("db/DietDB.class.php");
require_once("weight/DBWeight.class.php");
require_once("util/util.inc.php");
require_once("mess/DBMessages.class.php");

class TopPage extends Page {
    protected $dbh;

    protected function get_inputed_user_count($date) {
        $stmt = $this->dbh->prepare("select count(distinct users_id) ".
                                    "from weight_data ".
                                    "where date(ins_date) = ?;");
        $stmt->execute(array($date));
        return $stmt->fetchColumn();
    }


    function echo_head() {
	Page::echo_head(array("title" => "体重グラフ ダイエットのおとも",
                             "style_sheet" =>"css/top.css"));
    }

    function prepare(&$args) {
        $this->dbh = DietDB::getHandler();      
        $year = date("Y");
        $month = date("n");
        $day = date("j");
        $yesterday = DietDB::getPGTimeStamp
            (mktime(0, 0, 0, $month, $day - 1, $year));
        $args['count_yesterday'] = $this->get_inputed_user_count($yesterday);
        $today = DietDB::getPGTimeStamp(time());
        $args['count_today'] = $this->get_inputed_user_count($today);
    }

    function echo_body(&$args) {
?>
<div class="mobile">
<a href="<?= TOP_PAGE ?>?cmd=mob_login">携帯ユーザはこちらへ</a>
</div> <!-- mobile -->

<h1>体重グラフ</h1>

<div id="first">
<?php part_echo_first(); ?>
<?php part_echo_entry(); ?>
  <div id="pig">
    <img src="diet2-2.gif" alt="pig">
  </div>
</div> <!-- first -->

<div id="second">
  <div id="count-table">
  <table>
    <tr>
      <th rowspan="2">データを入力<br>した人の数</th>
      <td>昨日: <?= $args['count_yesterday'] ?>人</td>
    </tr>
    <tr>
      <td>今日: <?= $args['count_today'] ?>人</td>
    </tr>
  </table>
  </div> <!-- count-table -->
  <?php include("message.tmpl.php"); ?>
</div>

<div id="third">
<h2>体重グラフ公開ユーザ</h2>
<div id="pub_user">
     <p>カッコは、最近一ヶ月のデータ数|コメント数</p>
<table>
<?php
    $dbUsers = new DBUsers($this->dbh);
    $pub_users = $dbUsers->getPubUsers();
    $dbWeight = new DBWeight($this->dbh);
    $dbMess = new DBMessages($this->dbh);
    $i = 0;
    $trj = new TopRecentJudge(util_get_one_month_before(time()));
    foreach($pub_users as $pub_user) {
        if ($trj->isRecent(util_pgts2php($pub_user['up_date']))) {
            $count = $dbWeight->getCountInMonth($pub_user['id']);
            $comment_count = $dbMess->getCommentCount($pub_user['id']);
            top_echo_pub_user($pub_user, $i, $count, $comment_count);
        }
        $i++;
    }
?>
</table>
<p><a href="<? TOP_PAGE ?>?cmd=nonactive">最近入力のないユーザ</a></p>
</div> <!-- pub_user -->
      <?php include("message2.tmpl.php"); ?>
</div> <!-- third -->
<?php
    }
}

class TopNonActiveUserPage extends Page {
    function echo_head() {
	Page::echo_head(array("title" => "最近入力のないユーザ",
                             "style_sheet" =>"css/nonactive.css"));
    }

    function echo_body() {
?>
<h1>最近入力のないユーザ</h1>

<div id="first">
<a href="<? TOP_PAGE ?>?cmd=top">トップページ</a>
<?php part_echo_first(); ?>
<?php part_echo_entry(); ?>
</div> <!-- first -->


<div id="second">
     <p>カッコは、全データ数|コメント数。過去データを見て下さい。</p>
<table>
<?php
    $dbh = DietDB::getHandler();
    $dbUsers = new DBUsers($dbh);
    $pub_users = $dbUsers->getPubUsers();
    $dbWeight = new DBWeight($dbh);
    $dbMess = new DBMessages($dbh);
    $i = 0;
    $trj = new TopRecentJudge(util_get_one_month_before(time()));
    foreach($pub_users as $pub_user) {
        if (!$trj->isRecent(util_pgts2php($pub_user['up_date']))) {
            $count = $dbWeight->getCount($pub_user['id']);
            $comment_count = $dbMess->getCommentCount($pub_user['id']);
            if ($count > 300) top_echo_pub_user($pub_user, $i, $count, $comment_count);
        }
        $i++;
    }
?>
</table>
</div> <!-- second -->
<?php
    }
}

class TopRecentJudge {
    function TopRecentJudge($time) {
        $this->time = $time;
    }
    function isRecent($time) {
        return $this->time < $time ? true: false;
    }
}

function top_echo_pub_user(&$pub_user, $row, $count, $comment_count) {
   $puid = htmlspecialchars($pub_user['id']);
   $name = htmlspecialchars($pub_user['pub_name']);
   $short_comment = $pub_user['short_comment'];
   $short_comment = util_wordwrap($short_comment, 35);
   $short_comment = htmlspecialchars($short_comment);
   $class = $row % 2 ? "even" : "odd";

   print "<tr class=\"$class\">\n";
   print "<td><a href=\"".TOP_PAGE."?cmd=pub&amp;puid=$puid&amp;range=3m\">$name</a></td>\n";
   print "<td>$short_comment</td>\n";
   print "<td>(".$count."|".$comment_count.")</td>\n";
   print "</tr>\n";
}
?>
