<?php 
class User {
    public $id;
    public $name;
    public $public;
    public $pub_name;
    public $short_comment;
    public $lonng_comment;
    public $id_for_friend;
    public $name_for_friend;

    protected $dbh;

    function __construct($users_id, $dbh = null) {
        $this->id = $users_id;
        if (isset($dbh)) {
            $this->dbh = $dbh;
        } else {
            $this->dbh = DietDB::getHandler();
        }
    }
    function load() {
        $stmt = $this->dbh->prepare("select * from users where id = ?");
        $stmt->execute(array($this->id));
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if (!$row) {
            return false;
        }
        $this->name = $row['name'];
        $this->public = empty($row['public']) ? 0 : $row['public'];
        $this->pub_name = $row['pub_name'];
        $this->short_comment = $row['short_comment'];
        $this->long_comment = $row['long_comment'];
        $this->id_for_friend = $row['id_for_friend'];
        $this->name_for_friend = $row['name_for_friend'];
        return true;
    }

    function update() {
        $stmt = $this->dbh->prepare("update users set public = ?, ".
                                    "  pub_name = ?, ".
                                    "  short_comment = ?, ".
                                    "  long_comment = ?, ".
                                    "  id_for_friend = ?, ".
                                    "  name_for_friend = ?, ".
                                    "  up_date = current_timestamp ".
                                    "  where id = ?;");
        $stmt->execute(array($this->public, 
                             $this->pub_name,
                             $this->short_comment,
                             $this->long_comment,
                             $this->id_for_friend,
                             $this->name_for_friend,
                             $this->id));

    }
}   
?>