<?php
require_once("user/User.class.php");
require_once("user/DBUsers.class.php");

class UserStatus {
    public $user;
    public $users_id;
    public $puid;
    public $is_pub;
    public $fid;
    public $is_friend;
    
    function __construct($dbh = null) {
        if ($dbh == null) $dbh = DietDB::getHandler();
        $dbUsers = new DBUsers($dbh);
        if (!empty($_REQUEST['puid'])) {
            $this->users_id = util_get_safe($_REQUEST['puid']);
            if (!$dbUsers->isPublic($this->users_id)) {
                exit;
            }
            $this->puid = $this->users_id;
            $this->is_pub = true;
        } else if (!empty($_REQUEST['fid'])) {
            $this->users_id = $dbUsers->getByIdForFriend($_REQUEST['fid']);
            if ($this->users_id <= 0) {
                error_show_fid_is_changed();
                exit;
            }
            $this->fid = $_REQUEST['fid'];
            $this->is_friend = true;
        } else if (login_is_valid_user()) {
            $this->users_id = $_SESSION['user_id'];
        } else {
            echo "exit";
            exit;
        }
        $this->user = new User($this->users_id, $dbh);
        if (!$this->user->load()) {
            error_show_delete_user();
            exit;
        }
    }
}
?>
