<?php
require_once("def/def_conf.inc.php");
require_once("def/def_ope.inc.php");
require_once("page/page.inc.php");
require_once("user/User.class.php");
require_once("pub/DBPubFriend.class.php");
require_once("weight/weight.inc.php");
require_once("weight/DBWeight.class.php");
require_once("mess/mess.inc.php");
require_once("ope/DBOperation.class.php");
require_once("error/error.inc.php");
require_once("util/_H.inc.php");

class UserPage extends Page {
    protected $need_auth = true;
    
    function prepare(&$args) {
        $args['done_input'] = false;
        $dbh = DietDB::getHandler();
        $dbMess = new DBMessages($dbh);
        $dbOpe = new DBOperation($dbh);
        $mode = empty($_REQUEST['mode']) ? null: $_REQUEST['mode'];
        if ($mode == "input") {
            $dbWeight = new DBWeight($dbh);
            $dbWeight->set();
            $dbOpe->add(OPE_USER_INPUT);
            $args['done_input'] = true;
        }
        if ($mode == "post_mess") {
            $dbMess->add($_SESSION['user_id']);
            setcookie("c_mess_name", $_REQUEST['mess_name']);
            $dbOpe->add(OPE_MESS_INPUT);
        }
        if ($mode == "del_mess") {
            $dbMess->delete($_SESSION['user_id']);
        }

        if (!empty($_REQUEST['range'])) {
            $_SESSION['range'] = $_REQUEST['range'];
        }
        if (!empty($_REQUEST['div'])) {
            $_SESSION['div'] = $_REQUEST['div'];
        }
        $user = new User($_SESSION['user_id'], $dbh);
        if (!$user->load()) {
            error_show_delete_user();
            exit;
        }
        $pub_name = $user->public == "t" ? $user->pub_name : "非公開";
        $args['pub_name'] = $pub_name;
        $name = $user->name;
        $args['name_pubname'] = $name."(".$pub_name.")";
        $dbPF = new DBPubFriend($dbh);
        $args['friends'] = $dbPF->get();
    }

    function echo_head() {
        Page::echo_head(array("title" => htmlspecialchars($this->args['name_pubname'])."の体重",
                             "refresh" => SESSION_LIFETIME + 120,
                             "style_sheet" =>"css/user.css"));
    }

    function echo_body(&$args) {
?>
<h1><?= _H($args['name_pubname']) ?>の体重</h1>
<div id="first">
  <?php part_echo_navi("自分のページ"); ?>
  <h2>お仲間</h2>
  <?php foreach($args['friends'] as $friend_id => $friend_name) { ?>
    <a href="<?= TOP_PAGE ?>?cmd=friend&amp;fid=<?= _H($friend_id) ?>"><?= _H($friend_name) ?></a><br>
  <?php } ?>
</div> <!-- first -->

<div id="second">
  <?php if ($args['done_input']) user_echo_input_result(); ?>
  <div class="input">
  <form action="<?= TOP_PAGE ?>" method="post">
   <p>
     <?php
        user_echo_select_year();
        $month = date("n");
        $day = date("j");
        $hour = date("G");
     ?>
     <input type="text" name="month" value="<?= $month ?>"
          size="2" maxlength="2">月
     <input type="text" name="day" value="<?= $day ?>"
          size="2" maxlength="2">日
     <input type="text" name="hour" value="<?= $hour ?>"
           size="2" maxlength="2">時
     <input type="text" name="weight" value="" size="5" maxlength="5">kg<br>
     いいわけ <input type="text" name="comment" value="" size="20" maxlength="200">
     <input type="submit" value="登録">
     <input type="hidden" name="cmd" value="user">
     <input type="hidden" name="mode" value="input">
   </p>
  </form>
  </div> <!-- input -->
  <?php weight_echo_graph(); ?>
  <?php weight_echo_comment(); ?>
</div> <!-- second -->

<div id="third">
      <?php mess_echo_mess(); ?>
<p>
     <?php part_echo_navi("自分のページ", false); ?>
</p>
</div>
<?php
     }  //echo_body()
}


function user_echo_select_year($name = "year") {
    $year = date("Y");
    print "<select name=\"$name\">\n";
    for ($i = START_YEAR; $i <= $year; $i++) {
        print "<option value=\"$i\" ";
        if ($i == $year) {
            print "selected";
        }
        print ">";
        print $i."\n";
    }
    print "</select>年\n";
}

function user_echo_input_result() {
    print "<div class=\"input_result\">\n";
    print "登録しました。<br>\n";

    $year = _H($_REQUEST['year']);
    $month = _H($_REQUEST['month']);
    $day = _H($_REQUEST['day']);
    $hour = _H($_REQUEST['hour']);
    $weight = _H($_REQUEST['weight']);
    $comment = $_REQUEST['comment'];
    $comment = _H(util_wordwrap($comment, 25));
    $comment = util_nl2br($comment);
    
    print $year."年".$month."月".$day."日".$hour."時 ".$weight."kg<br>\n";
    print "$comment";
    print "</div>\n";
}
?>