<?php
require_once("def/def_conf.inc.php");
require_once("def/def_ope.inc.php");
require_once("page/page.inc.php");
require_once("user/user.inc.php");
require_once("user/DBUsers.class.php");
require_once("user/DBUserConf.class.php");
require_once("weight/weight.inc.php");
require_once("ope/DBOperation.class.php");
require_once("defense/DBDefense.class.php");
require_once("error/error.inc.php");

class UserMobLoginPage extends MobPage {
    
    function UserMobLoginPage() {
        $this->MobPage("体重グラフ ログイン");
    }

    function echo_body() {
?>
<form class="login" method="GET" action="<?= TOP_PAGE ?>">
<td>
ユーザ名:<br>
<input type="text" name="user" value=""
                      size="8" maxlength="16"><br>
      <td>
パスワード:<br>
<input type="text" name="password" value=""
                       size="8" maxlength="16"><br>
<input type="submit" value="ログイン">
<input type="hidden" name="cmd" value="mlog">
</form>
<?php
     }
}

class UserMobPage extends MobPage {
    protected  $need_auth = true;
    protected  $ok;
    
    function UserMobPage() {
        $this->MobPage("体重グラフ 携帯トップ");
    }
        
    function prepare() {
        $mode = empty($_REQUEST['mode']) ? null: $_REQUEST['mode'];
        if ($mode == "do_input") {
            $dbh = DietDB::getHandler();
            $dbWeight = new DBWeight($dbh);
            $dbOpe = new DBOperation($dbh);
            $dbWeight->set();
            $dbOpe->add(OPE_USER_INPUT);
            $this->ok =  "登録しました。<br>";
        }
    }

    function echo_body() {
        print $this->ok;
?>
<a href="<?= TOP_PAGE ?>?cmd=mob_input">体重入力</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_graph">グラフ表示</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_image_setting">画像設定</a><br>
<?php    
     }
}

class UserMobInputPage extends MobPage {
    protected $need_auth = true;
    function UserMobInputPage() {
        $this->MobPage("データ入力");
    }

    function echo_body() {
?>
  <form action="<?= TOP_PAGE ?>" method="post">
   <p>
     <?php
        user_echo_select_year();
        $month = date("n");
        $day = date("j");
        $hour = date("G");
     ?><br>
     <input type="text" name="month" value="<?= $month ?>"
          size="2" maxlength="2">月<br>
     <input type="text" name="day" value="<?= $day ?>"
          size="2" maxlength="2">日<br>
     <input type="text" name="hour" value="<?= $hour ?>"
           size="2" maxlength="2">時<br>
     <input type="text" name="weight" value="" size="5" maxlength="5">kg<br>
     いいわけ <input type="text" name="comment" value="" size="20" maxlength="200"><br>
     <input type="submit" value="登録">
     <input type="hidden" name="cmd" value="mob_top">
     <input type="hidden" name="mode" value="do_input">
   </p>
  </form>
<a href="<?= TOP_PAGE ?>?cmd=mob_graph">グラフ表示</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_image_setting">画像設定</a><br>
<?php    
    }
}

class UserMobGraphPage extends MobPage {
    protected $need_auth = true;
    function UserMobGraphPage() {
        $this->MobPage("グラフ表示");
    }

    function echo_body() {
        $dbUC = new DBUserConf();
        $conf = $dbUC->getAll();
        if (!empty($conf['mob_width'])) {
            $mob_width = $conf['mob_width'];
        } else {
            $mob_width = MOB_GRAPH_WIDTH;
        }
        if (!empty($conf['mob_height'])) {
            $mob_height = $conf['mob_height'];
        } else {
            $mob_height = MOB_GRAPH_HEIGHT;
        }
?>
<img src="<?= WEIGHT_GRAPH ?>?mob=1&amp;<?= htmlspecialchars(SID) ?>" alt="グラフ"
     width="<?= $mob_width ?>" height="<?= $mob_height ?>"><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_input">体重入力</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_image_setting">画像設定</a><br>
<?php    
    }
}

class UserMobImageSettingPage extends MobPage{
    protected $need_auth = true;
    function UserMobImageSettingPage() {
        $this->MobPage("画像設定");
    }

    function echo_body() {
        $dbUC = new DBUserConf();
        $conf = $dbUC->getAll();
        if ($conf['gif'] == GIF_ON) {
            $gif = GIF_ON;
        }
        if (!empty($conf['mob_width'])) {
            $mob_width = $conf['mob_width'];
        } else {
            $mob_width = MOB_GRAPH_WIDTH;
        }
        if (!empty($conf['mob_height'])) {
            $mob_height = $conf['mob_height'];
        } else {
            $mob_height = MOB_GRAPH_HEIGHT;
        }
?>
<form action="<?= TOP_PAGE ?>" method="post">
      画像形式:<br>
       <input type="radio" name="gif" value="0"
             <?= ($gif != GIF_ON) ? "checked" : "" ?>>PNG
       <input type="radio" name="gif" value="<?= GIF_ON ?>"
             <?= ($gif == GIF_ON) ? "checked" : "" ?>>GIF
      <br>
      携帯用画像<br>
      横幅:
       <input type="text" name="mob_width" value="<?= $mob_width ?>"
                                           size="4" maxlengh="4"><br>
      縦幅:
       <input type="text" name="mob_height" value="<?= $mob_height ?>"
                                          size="4" maxlengh="4">
     <br>
       <input type="submit" value="更新">
       <input type="hidden" name="cmd" value="mob_do_image_setting">
</form>
<a href="<?= TOP_PAGE ?>?cmd=mob_input">体重入力</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_graph">グラフ表示</a><br>
<?php    
    }
}

class UserMobDoImageSettingPage extends MobPage {
    protected $need_auth = true;
    protected $dbUC;

    function UserMobDoImageSettingPage() {
        $this->dbUC = new DBUserConf();
        $this->dbUC->set(true);
        $this->MobPage("画像設定完了");
    }

    function echo_body() {
        $conf = $this->dbUC->getAll();
?>
<h1>更新しました。</h1>
画像形式: <?= ($conf['gif'] == GIF_ON) ? "GIF" : "PNG" ?><br>
横幅：<?= $conf['mob_width'] ?> 縦幅: <?= $conf['mob_height'] ?><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_input">体重入力</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_graph">グラフ表示</a><br>
<a href="<?= TOP_PAGE ?>?cmd=mob_image_setting">画像設定</a><br>
<?php
    }
}
?>
