<?php
function util_get_safe($str) {
    return preg_replace("/;/", " ", $str);
}

function util_php2pgts($php) {
    $ts = getdate($php);
    return $ts['year']."-".$ts['mon']."-".$ts['mday']." ".
        $ts['hours'].":".$ts['minutes'].":".$ts['seconds'];
}

function util_pgts2php($pgts) {
    $dates = explode(" ", $pgts);
    $date = explode("-", $dates[0]);
    $time = explode(":", $dates[1]);

    return mktime($time[0], $time[1], $time[2], 
                  $date[1], $date[2], $date[0]);
}

function &util_pgts2array($pgts) {
    $dates = explode(" ", $pgts);
    $date = explode("-", $dates[0]);
    $time = explode(":", $dates[1]);
    $ret = array("year" => $date[0], "month" => $date[1], "day" => $date[2],
                 "hour" => $time[0], "minute" => $time[1], "second" => $time[2]);
    return $ret;
//    return  array("year" => $date[0], "month" => $date[1], "day" => $date[2],
//               "hour" => $time[0], "minute" => $time[1], "second" => $time[2]);
}

function &util_mysqlts2pgts($mysqlts) {
    if ($mysqlts[4] == '-') return $mysqlts;
    return substr($mysqlts, 0, 4)."-".substr($mysqlts, 4, 2)."-".
        substr($mysqlts, 6, 2)." ".
        substr($mysqlts, 8, 2).":".substr($mysqlts, 10, 2).":".
        substr($mysqlts, 12, 2);
}

function util_next_day($time) {
    $year = date("Y", $time);
    $month = date("n", $time);
    $day = date("j", $time);
    return mktime(0, 0, 0, $month, $day + 1, $year);
}

function util_prev_day($time) {
    $year = date("Y", $time);
    $month = date("n", $time);
    $day = date("j", $time);
    return mktime(0, 0, 0, $month, $day - 1, $year);
}

function util_get_one_month_before($time) {
    $year = date("Y", $time);
    $month = date("n", $time);
    $day = date("j", $time);
    return mktime(0, 0, 0, $month - 1, $day, $year);
}    

function &util_nl2br($str) {
    $ret = preg_replace("/\n/", "<br>\n", $str);
    return $ret;
//    return ereg_replace("\n", "<br>\n", $str);
}

function util_wordwrap($ret, $wrap) {
    $no_begin = "\x21\x25\x29\x2c\x2e\x3a\x3b\x3f\x5d\x7d\xa1\xf1\xa1\xeb\xa1" .
        "\xc7\xa1\xc9\xa2\xf3\xa1\xec\xa1\xed\xa1\xee\xa1\xa2\xa1\xa3\xa1\xb9" .
        "\xa1\xd3\xa1\xd5\xa1\xd7\xa1\xd9\xa1\xdb\xa1\xcd\xa4\xa1\xa4\xa3\xa4" .
        "\xa5\xa4\xa7\xa4\xa9\xa4\xc3\xa4\xe3\xa4\xe5\xa4\xe7\xa4\xee\xa1\xab" .
        "\xa1\xac\xa1\xb5\xa1\xb6\xa5\xa1\xa5\xa3\xa5\xa5\xa5\xa7\xa5\xa9\xa5" .
        "\xc3\xa5\xe3\xa5\xe5\xa5\xe7\xa5\xee\xa5\xf5\xa5\xf6\xa1\xa6\xa1\xbc" .
        "\xa1\xb3\xa1\xb4\xa1\xaa\xa1\xf3\xa1\xcb\xa1\xa4\xa1\xa5\xa1\xa7\xa1" .
        "\xa8\xa1\xa9\xa1\xcf\xa1\xd1";
    $no_end = "\x5c\x24\x28\x5b\x7b\xa1\xf2\x5c\xa1\xc6\xa1\xc8\xa1\xd2\xa1" .
        "\xd4\xa1\xd6\xa1\xd8\xa1\xda\xa1\xcc\xa1\xf0\xa1\xca\xa1\xce\xa1\xd0\xa1\xef";
    
    if (strlen($ret) >= $wrap && 
        substr($ret, 0, 1) != '>' &&
        strpos($ret, 'http://') === FALSE &&
        strpos($ret, 'https://') === FALSE &&
        strpos($ret, 'ftp://') === FALSE) {
                
        $ret = mb_convert_kana($ret, "KV");

        $line_new = '';
        $ptr = 0;
                
        while ($ptr < strlen($ret) - 1) {
            $l = mb_strcut($ret, $ptr, $wrap);
            $ptr += strlen($l);
            $tmp = $l;
                    
            $l = mb_strcut($ret, $ptr, 2);
            while (strlen($l) != 0 && mb_strpos($no_begin, $l) !== FALSE ) {
                $tmp .= $l;
                $ptr += strlen($l);
                $l = mb_strcut($ret, $ptr, 1);
            }
            $line_new .= $tmp;
            if ($ptr < strlen($ret) - 1)
                $line_new .= "\n";
        }
        $ret = $line_new;
    }
    return $ret;
}

?>
