<?php
require_once("db/DietDB.class.php");
require_once("util/util.inc.php");

class DBWeightData {
    public $users_id;
    public $data;
    public $start;
    protected $dbh;

    function __construct($users_id, $dbh = null) {
        if ($dbh == null) {
            $this->dbh = DietDB::getHandler();
        } else {
            $this->dbh = $dbh;
        }
        $this->users_id = $users_id;
        $this->data = array();
    }

    function loadData($start, $end) {
        $this->start = $start;
        $pg_start = util_php2pgts($start);
        $pg_end = util_php2pgts($end);
        $stmt = $this->dbh->prepare("select date_hour, weight ".
                                    "from weight_data ".
                                    "where users_id = ? and ".
                                    "  date_hour >= ? and date_hour < ? ".
                                    "order by date_hour;");
        $stmt->execute(array($this->users_id, $pg_start, $pg_end));
        $i = 0;
        while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            $php_date_hour = util_pgts2php($row['date_hour']);
            if ($i == 0) {
                $this->start = $php_date_hour;
            }
            $weight = $row['weight'];
            $this->data[$php_date_hour] = $weight;
            $i++;
        }
    }
}
?>
