<?php
class WeightGraph {
    var $data;
    var $datax;
    var $datay;
    var $is_divide;
    var $data_daytime;
    var $data_night;
    var $min = 0;
    var $max = 0;
    var $title = null;
    var $interval;
    var $is_gif;
    var $width;
    var $height;
    var $axis_font_size = 8;
    var $graph;
    var $prev_month = 0;
    var $start_date_hour;
    var $end_date_hour;

    function WeightGraph(&$data, $interval, $is_divide = false) {
        $this->data = $data;
        $this->interval = $interval;
        $this->is_divide = $is_divide;
        $this->datax = array();
        $this->datay = array();
        $this->data_night = array();
        $this->data_daytime = array();
    }


    function set($start, $end)  {
        $year = date("Y", $start);
        $month = date("n", $start);
        $day = date("j", $start);
        $total_hour = 0;
        $min = 99999;
        $max = 0;
        $this->start_date_hour = $start;
        $this->end_date_hour = $end;
        $exist_data = false;
        for ($php_date_hour = $start;
             $php_date_hour <= $end;
             $php_date_hour 
                 = mktime(++$total_hour, 0, 0, $month, $day, $year)) {
            if (array_key_exists($php_date_hour, $this->data)) {
                $exist_data = true;
                $this->datax[] = $php_date_hour;
                $datay = $this->data[$php_date_hour];
                if(!$this->is_divide) {
                    $this->datay[] = $datay;
                } else {
                    $hour = Date("H", $php_date_hour);
                    if ($hour >= 5 && $hour <= 15) {
                        $this->data_daytime[] = $datay;
                        $this->data_night[] = "-";
                    } else {
                        $this->data_daytime[] = "-";
                        $this->data_night[] = $datay;
                    }
                }
                if ($min > $datay) {
                    $min = $datay;
                }
                if ($max < $datay) {
                    $max = $datay;
                }
            }
        }
        if ($exist_data) {
            $this->min = (int)$min - 1;
            $this->max = (int)$max + 1;
        } else {
            $this->min = 50;
            $this->max = 53;
            $this->datax[] = $this->start_date_hour;
            $this->datay[] = "-";
            $this->data_daytime[] = "-";
            $this->data_night[] = "-";
        }            
    }
    /*
    function getX($ts) {
        $month = date("n", $ts);
        $day = date("j", $ts);
        if (($this->count_interval % $this->interval) == 0
            && $this->prev_month != $month) {
            $this->prev_month = $month;
            $day = $month."/".$day;
        }
        $this->count_interval++;
        return $day;
    }
    */
    function make() {
        $graph = &$this->graph;
        $graph = new Graph($this->width , $this->height, "auto");
//        $graph->SetScale("textlin", $this->min, $this->max);
        $graph->SetScale("intlin",
                         $this->min, $this->max,
                         $this->start_date_hour, $this->end_date_hour);
/*
        $graph->SetScale("intlin",
                         $this->min, $this->max);
*/
        $graph->yscale->ticks->Set(1,0.5);
        $graph->SetFrame(false);

        $graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');
        $graph->xgrid->Show();

        if ($this->title != null) {
            $graph->title->SetFont(FF_GOTHIC);
            $graph->title->Set(mb_convert_encoding($this->title, "UTF-8"));
        } else {
            $graph->img->SetMargin(30, 30, 10, 0);
        }            

        $graph->yaxis->SetFont(FF_GOTHIC, FS_NORMAL, $this->axis_font_size);
        $graph->yaxis->SetLabelFormat("%d");

        $graph->xaxis->SetLabelFormatCallback(array($this, 'TimeCallback'));
        $graph->xaxis->scale->ticks->Set($this->interval, 3600*24);
            
        $graph->xaxis->SetFont(FF_GOTHIC, FS_NORMAL, $this->axis_font_size);

        if (!$this->is_divide) {
            $p1 = new LinePlot($this->datay, $this->datax);
            $p1->mark->SetType(MARK_FILLEDCIRCLE);
            if (count($this->data) < 4) {
                $p1->mark->SetWidth(4);
            } else {
                $p1->mark->SetWidth(1);
            }
            $p1->SetColor("blue");
            $p1->SetCenter();
            $graph->Add($p1);
        } else {
            $p1 = new LinePlot($this->data_night, $this->datax);
            $p1->mark->SetType(MARK_FILLEDCIRCLE);
            $p1->mark->SetColor("blue");
            if (count($this->data_night) < 4) {
                $p1->mark->SetWidth(4);
            } else {
                $p1->mark->SetWidth(1);
            }
            $p1->SetColor("blue");
            $p1->SetCenter();
            $graph->Add($p1);

            $p2 = new LinePlot($this->data_daytime, $this->datax);
            $p2->mark->SetType(MARK_FILLEDCIRCLE);
            $p2->mark->SetColor("red");
            if (count($this->data_daytime) < 4) {
                $p2->mark->SetWidth(4);
            } else {
                $p2->mark->SetWidth(1);
            }
            $p2->SetColor("red");
            $p2->SetCenter();
            $graph->Add($p2);
        }
    }

    function out($toTmp = false) {
        if ($toTmp) {
            $tmpfname = tempnam("/tmp", "weightGraph");
            $tmpfname .= ".png";
            $this->graph->Stroke($tmpfname);
            return $tmpfname;
        }        
        if ($this->is_gif != GIF_ON) {
            $this->graph->Stroke();
            return "";
        } else {
            if (!CONVERT_ON) {
                $this->graph->img->SetImgFormat("gif");
                $this->graph->Stroke();
                return "";
            } else {
                $tmpfname = tempnam("/tmp", "weightGraph");
                $this->graph->Stroke($tmpfname);

                header("Content-type: image/gif"); 
                passthru(CONVERT." ".$tmpfname." gif:-");
                
                unlink($tmpfname);
                return "";
            }
        }           
    }    

    function TimeCallback($t) {
        $this->prev_time = empty($this->prev_time) ? 0 : $this->prev_time;
        if ($this->prev_time > $t) {
            $d =  Date("n/j", $t);
        } else if (date("n", $this->prev_time) != date("n", $t)) {
            $d = Date("n/j", $t);
        } else {
            $d = Date("j", $t);
        }
        $this->prev_time = $t;
        return $d;
    }
}
?>