<?php
require_once("jpgraph/jpgraph.php");
require_once("jpgraph/jpgraph_line.php");

define('FPDF_FONTPATH','/usr/local/php/includes/fpdf/font/');
//require('fpdf/fpdf.php');
require_once('fpdf/japanese.php');

require_once("def/def_conf.inc.php");
require_once("user/DBUsers.class.php");
require_once("user/UserStatus.class.php");
require_once("weight/weight.inc.php");
require_once("weight/DBWeight.class.php");
require_once("weight/DBWeightData.class.php");
require_once("weight/weight_graph.inc.php");
require_once("util/util.inc.php");

//session_cache_limiter('private');
ini_set("session.gc_probability", SESSION_PROBABILITY);
ini_set("session.gc_maxlifetime", SESSION_LIFETIME);
//session_set_cookie_params(SESSION_LIFETIME);
session_start();

$dbh = DietDB::getHandler();
$us = new UserStatus($dbh);

$wdd = new DBWeightData($us->users_id, $dbh);
if (!empty($_REQUEST['start'])) {
    $range = empty($_REQUEST['range']) ? "1m" : $_REQUEST['range'];
    $start = weight_datestr_to_php($_REQUEST['start']);
    $wr = new WeightRange($range);
    $end = $wr->getEnd($start);
} else {
    $range = weight_get_range();
    $wr = new WeightRange($range);
    $end = util_next_day(time());
    $start = $wr->getStart($end);
}
$wdd->loadData($start, $end);

$wg = new WeightGraph($wdd->data, $wr->interval / 2);
if (empty($_REQUEST['start'])) {
    $start = $wdd->start;
    $end = $wr->getEnd($start);
}
$wg->set($start, $end);
$wg->width = 700;
$wg->height = 400;
$wg->axis_font_size=10;
$wg->is_gif = false;
$wg->make();

$tmpfname = $wg->out(true);    

$pdf=new PDF_japanese();
$pdf->AddSJISFont();
//$pdf->AddSJISvFont();
$pdf->Open();
$pdf->AddPage("L");
//$pdf->SetFont('times','B',16);

$pdf->SetFont('SJIS','',25);
$pdf->text(100, 40, mb_convert_encoding('体重グラフ', 'SHIFT-JIS'));
$pdf->SetFont('SJIS','',14);
$year = date("Y", $start)."年";
$pdf->Text(230, 40, mb_convert_encoding($year, 'SHIFT-JIS'));
$month = date("n", $start)."月";
$pdf->SetFont('SJIS','',20);
$pdf->Text(250, 40, mb_convert_encoding($month, 'SHIFT-JIS'));

//$pdf->SetFont('SJIS-V','',18);
$pdf->SetFont('SJIS','',18);
$pdf->Text(20, 100, mb_convert_encoding('体重','SHIFT-JIS'));
$pdf->Text(25, 110, mb_convert_encoding('kg','SHIFT-JIS'));

$pdf->Image($tmpfname, 40, 45);
$filename = "weight_".date("Y", $start)."_".date("m", $start).".pdf";
//$pdf->Output($filename,"D");

$pdf->Output();
unlink($tmpfname);
?>
