drop table users cascade;
CREATE TABLE users (
        id              serial primary key,
        name            text NOT NULL unique,
        password        text NOT NULL,
        public          boolean DEFAULT 'f',
        pub_name        text,
        short_comment   text,
        long_comment    text,
	id_for_friend	text unique default null,
	name_for_friend	text,
        cur_mess_id     integer NOT NULL default 0,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp
);

drop table user_conf;
CREATE TABLE user_conf (
        users_id	integer,
        key_name             text NOT NULL,
        val		text NOT NULL, 
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp,
	primary key(users_id, key_name),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);

drop table weight_data;
CREATE TABLE weight_data (
        users_id        integer NOT NULL,
        date_hour       timestamp(0)  NOT NULL,
        weight          double precision,
        comment         text,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp,
        primary key(users_id, date_hour),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);

drop table messages;
CREATE TABLE messages (
        id              integer NOT NULL,
        users_id        integer NOT NULL,
        remote_ip       text NOT NULL,
        name            text,
        message         text,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp,
        PRIMARY KEY (id, users_id),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);

drop table del_mess;
CREATE TABLE del_mess (
        id              integer NOT NULL,
        users_id        integer NOT NULL,
        remote_ip       text NOT NULL,
        name            text,
        message         text,
        cre_date        timestamp(0) NOT NULL,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp,
        PRIMARY KEY (id, users_id),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);

drop table friend;
create table friend (
	users_id 	integer not null,
	friend_id	text not null,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp,
	primary key (users_id, friend_id),
	constraint uid_fk foreign key (users_id) references users(id)
);

drop table operation;
CREATE TABLE operation (
        remote_ip       text NOT NULL,
        ope_code        integer NOT NULL,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp
);

drop table defense;
CREATE TABLE defense (
        remote_ip       text NOT NULL,
        reason		text NOT NULL,
        ins_date        timestamp(0) default current_timestamp,
        up_date         timestamp(0) default current_timestamp
);


