
CREATE TABLE users (
        id              integer auto_increment primary key,
        name            varchar(16) NOT NULL unique,
        password        text NOT NULL,
        public          char(1) DEFAULT 'f',
        pub_name        text,
        short_comment   text,
        long_comment    text,
	id_for_friend	varchar(128) unique default null,
	name_for_friend	text,
        cur_mess_id     integer NOT NULL default 0,
        ins_date        timestamp,
        up_date         timestamp
);


CREATE TABLE user_conf (
        users_id	integer NOT NULL,
        key_name	varchar(200) NOT NULL,
        val		text NOT NULL,
        ins_date        timestamp,
        up_date         timestamp,
	primary key(users_id, key_name),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);


CREATE TABLE weight_data (
        users_id        integer NOT NULL,
        date_hour       datetime  NOT NULL,
        weight          double precision,
        comment         text,
        ins_date        timestamp,
        up_date         timestamp,
        primary key(users_id, date_hour),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);


CREATE TABLE messages (
        id              integer NOT NULL,
        users_id        integer NOT NULL,
        remote_ip       text NOT NULL,
        name            text,
        message         text,
        ins_date        timestamp,
        up_date         timestamp,
        PRIMARY KEY (id, users_id),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);


CREATE TABLE del_mess (
        id              integer NOT NULL,
        users_id        integer NOT NULL,
        remote_ip       text NOT NULL,
        name            text,
        message         text,
        cre_date        datetime NOT NULL,
        ins_date        timestamp,
        up_date         timestamp,
        PRIMARY KEY (id, users_id),
        CONSTRAINT uid_fk FOREIGN KEY (users_id) REFERENCES users(id)
);

create table friend (
	users_id 	integer not null,
	friend_id	varchar(128) not null,
        ins_date        timestamp(0),
        up_date         timestamp(0),
	primary key (users_id, friend_id),
	constraint uid_fk foreign key (users_id) references users(id)
);

CREATE TABLE operation (
        remote_ip       text NOT NULL,
        ope_code        integer NOT NULL,
        ins_date        timestamp,
        up_date         timestamp
);


CREATE TABLE defense (
        remote_ip       text NOT NULL,
        reason		text NOT NULL,
        ins_date        timestamp,
        up_date         timestamp
);


