<?php
require_once("jpgraph/jpgraph.php");
require_once("jpgraph/jpgraph_line.php");

require_once("def/def_conf.inc.php");
require_once("user/DBUserConf.class.php");
require_once("user/UserStatus.class.php");
require_once("weight/weight.inc.php");
require_once("weight/DBWeight.class.php");
require_once("weight/DBWeightData.class.php");
require_once("weight/weight_graph.inc.php");
require_once("util/util.inc.php");

//session_cache_limiter('private');
ini_set("session.gc_probability", SESSION_PROBABILITY);
ini_set("session.gc_maxlifetime", SESSION_LIFETIME);
//session_set_cookie_params(SESSION_LIFETIME);
session_start();

$dbh = DietDB::getHandler();
$us = new UserStatus($dbh);

$wdd = new DBWeightData($us->users_id, $dbh);
if (!empty($_REQUEST['start'])) {
    $range = empty($_REQUEST['range']) ? "1m" : $_REQUEST['range'];
    $start = weight_datestr_to_php($_REQUEST['start']);
    $wr = new WeightRange($range);
    $end = $wr->getEnd($start);
} else {
    $range = weight_get_range();
    $wr = new WeightRange($range);
    $end = util_next_day(time());
    $start = $wr->getStart($end);
}
$wdd->loadData($start, $end);
//print_r ($wdd->data);

$wg = new WeightGraph($wdd->data, $wr->interval, weight_is_divide());
if (empty($_REQUEST['start'])) {
    $start = $wdd->start;
    $end = $wr->getEnd($start);
}
$wg->set($start, $end);
$wg->width = weight_get_graph_width($dbh);
$wg->height = weight_get_graph_height($dbh);
$dbUC = new DBUserConf($dbh);
$wg->is_gif = $dbUC->get('gif');
if (!empty($_REQUEST['start'])) {
    $a = getdate($start);
    switch($wr->range) {
    case "3m":
        $end_month = $a['mon'] + 2;
        $wg->title = "体重グラフ " .
            $a['year']."年".$a['mon']."月-".$end_month."月";
        break;
    case "1y":
        $wg->title = "体重グラフ ".$a['year']."年";
        break;
    case "1m":
    default:
        $wg->title = "体重グラフ ".$a['year']."年".$a['mon']."月";
    }
} else {
    $wg->title = "体重グラフ ".$wr->range_str;
}
$wg->make();
$wg->out();    

?>